clang-tools 8.0.0

Classes | Public Member Functions | List of all members
clang::move::DeclarationReporter Class Reference

`#include <ClangMove.h>`

## Classes
struct | Declaration

## Public Member Functions
| DeclarationReporter ()=default
| ~DeclarationReporter ()=default
void | reportDeclaration (llvm::StringRef DeclarationName, llvm::StringRef Type, bool Templated)
const std::vector< Declaration > | getDeclarationList () const

## Detailed Description

Definition at line 30 of file ClangMove.h.

## Constructor & Destructor Documentation

## ◆ DeclarationReporter()

clang::move::DeclarationReporter::DeclarationReporter | ( |  | ) |
| default

## ◆ ~DeclarationReporter()

clang::move::DeclarationReporter::~DeclarationReporter | ( |  | ) |
| default

## Member Function Documentation

## ◆ getDeclarationList()

const std::vector<Declaration> clang::move::DeclarationReporter::getDeclarationList | ( |  | ) | const
| inline

Definition at line 53 of file ClangMove.h.

## ◆ reportDeclaration()

void clang::move::DeclarationReporter::reportDeclaration | ( | llvm::StringRef | DeclarationName,
|  | llvm::StringRef | Type,
|  | bool | Templated
| ) |  |
| inline

Definition at line 35 of file ClangMove.h.

Referenced by clang::move::ClangMoveTool::onEndOfTranslationUnit().

The documentation for this class was generated from the following file:

- ClangMove.h